%define upstream_name    Carp-Parse
%define upstream_version 1.0.6

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    Represent the parsed caller information for a line of the Carp stack trace
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Carp/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Carp)
BuildRequires: perl(Data::Dump)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Spec)
BuildRequires: perl(Module::Build)
BuildRequires: perl(Test::Deep)
BuildRequires: perl(Test::Exception)
BuildRequires: perl(Test::More)
BuildArch:  noarch

%description
Carp produces a stacktrace that includes caller arguments; this module
parses each line of the stack trace to extract its arguments, which allows
rewriting the stack trace (for example, to redact sensitive information).

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%makeinstall_std

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog

* Sun Jan 13 2013 umeabot <umeabot> 1.0.6-2.mga3
+ Revision: 363818
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Nov 07 2012 jquelin <jquelin> 1.0.6-1.mga3
+ Revision: 315749
- update to 1.0.6

* Mon Oct 15 2012 jquelin <jquelin> 1.0.4-1.mga3
+ Revision: 306052
- update to 1.0.4

* Wed Oct 10 2012 jquelin <jquelin> 1.0.3.1-1.mga3
+ Revision: 304396
- imported package perl-Carp-Parse

